Bug 62713 - pam and "+" wildcard (promiscuous)
pam and "+" wildcard (promiscuous)
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: pam (Show other bugs)
7.3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Tomas Mraz
Aaron Brown
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-04-04 14:47 EST by Michael Redinger
Modified: 2007-04-18 12:41 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-21 08:17:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michael Redinger 2002-04-04 14:47:20 EST
The "+" does not work in .rhosts files.

Normally you put smth. like this in .rhosts:

host	user

This works fine.

However, at least with other Unix systems, you can also use "+" to say "any user" or "any host".

From what I read in the man pages (and the PAM docs) this should also be available in Red Hat Linux - although you have to specify "promiscuous" for 
pam_rhosts_auth in /etc/pam.d/rsh.

However, this doesn't work at all for me.

The setup is quite simple: beta3, everything install. The only thing changed was that I turned on rsh and rlogin and added promiscuous to the PAM 
config file.

On the beta list, one person stated that he has heard of this problem, too while anotherone said it worked fine for him (in 7.2).

I'm seeing this problem both in skipjack and RHAT Linux 7.2.

The syslog entry is the same as if there was no corresponding .rhosts entry:

pam_rhosts_auth ... denied to ... as ...: access not allowed
Comment 1 Tomas Mraz 2004-10-21 08:17:44 EDT
It works fine in FC 2

Note You need to log in before you can comment on or make changes to this bug.